<?php

namespace WKO\Helpers;

/**
 * Name: Hooks
 * Call the actions and filter
 * @package Helpers
 * @since 1.0.0
 */

add_action( 'init', [
    'WKO\Helpers\Functions',
    'initialize'
] );

add_action( 'init', [
    'WKO\Helpers\Functions',
    'enqueue_theme_scripts'
] );

add_action( 'admin_init', [
    'WKO\Helpers\Functions',
    'enqueue_admin_scripts'
] );

add_action( 'init', [
    'WKO\Helpers\Functions',
    'woo_init'
] );

add_action( 'init', [
    'WKO\Helpers\Functions',
    'handle_actions'
] );

add_filter( 'plugin_action_links', [
    'WKO\Helpers\Functions',
    'settings_link'
], 10, 2 );
