class Checkout
{
    constructor() {
        this.createPopup();
        this.handlePopup();
    }

    handlePopup() {
        const popup = document.querySelector("#koin-popup-about");
        popup.addEventListener("click", () => {
            popup.classList.remove("koin-popup-about-active");
        });
    }

    createPopup() {

        const hidden = document.querySelector("#koin-info-banner");

        const div = document.createElement("div");
        div.setAttribute("id", "koin-popup-about");
        div.classList.add("koin-popup-about");

        const span = document.querySelector("span");
        span.setAttribute("id", "koin-close-popup");
        span.innerHTML = "&times;";
        span.classList.add("close");

        const img = document.createElement("img");
        if ( hidden && hidden.value ) {
            img.setAttribute("src", hidden.value);
        } else {
            img.setAttribute("src", "");
        }

        div.appendChild(span);
        div.appendChild(img);

        const body = document.querySelector("body");
        body.appendChild(div);

    }
}

document.addEventListener("DOMContentLoaded", () => {
    new Checkout;
});