<?php
/**
 * Plugin Name: Koin Official Payments
 * Plugin URI:  https://apiki.com/koin
 * Version:     1.0.0
 * Description: Koin Official Payments Gateways
 * Text Domain: wc-koin-official
 * Domain Path: /languages
 * License:     GPLv3 or later
 * Author:      Apiki Wordpress
 * Author URI:  https://apiki.com/
 * 
 * @link    https://apiki.com/
 * @since   1.0.0
 * @package WKO
 */

require __DIR__ . '/vendor/autoload.php';
if ( version_compare( phpversion(), '7.1' ) < 0  ) {
	
	wp_die( sprintf( "%s <p>%s</p>",
			__( "The Koin Official Payments isn't compatible to your PHP version. ", 'wc-koin-official' ),
			__( "The PHP version has to be a less 7.1!", 'wc-koin-official' )
		),
		WKO_PLUGIN_NAME . ' -- Error',
		[ 'back_link' => true ]
	);
}

require_once __DIR__ . '/app/index.php';